Index: src/sas/guiframe/data_processor.py
===================================================================
--- src/sas/guiframe/data_processor.py	(revision a12c0a62a418c65d4b68941b2866285f30e5683c)
+++ src/sas/guiframe/data_processor.py	(revision 44d20afb283734cce1a7aef490219c0398d11978)
@@ -9,5 +9,6 @@
 
 The organization of the classes goes as:
-.. image::  media/BatchGridClassLayout.png
+
+.. image::  ../../user/guiframe/BatchGridClassLayout.png
    :align:   center
 
@@ -37,10 +38,8 @@
     """
     Object describing a cell in  the grid.
-
     """
     def __init__(self):
         """
         Initialize attributes of class (label, value, col, row, object)
-        
         """
         self.label = ""
@@ -54,8 +53,8 @@
     """
     Return a dictionary of column label and index or row selected
-    
+
     :param sentence: String to parse
     :param list: list of columns label
-    
+    :returns: col_dict
     """
 
@@ -116,7 +115,7 @@
 
 class GridCellEditor(sheet.CCellEditor):
-    """ 
+    """
     Custom cell editor
-    
+
     This subclasses the sheet.CCellEditor (itself a subclass of
     grid.GridCellEditor) in order to override two of its methods:
@@ -125,18 +124,16 @@
     This is necessary as the sheet module is broken in wx 3.0.2 and
     improperly subclasses grid.GridCellEditor
-    
     """
     def __init__(self, grid):
         """
         Override of CCellEditor init. Runs the grid.GridCellEditor init code
-
         """
         super(GridCellEditor, self).__init__(grid)
 
     def PaintBackground(self, dc, rect, attr):
-        """ 
+        """
         Overrides wx.sheet.CCellEditor.PaintBackground which incorrectly calls
         the base class method.
-        
+
         In wx3.0 all paint objects must explicitly
         have a wxPaintDC (Device Context) object.  Thus the paint event which
@@ -145,11 +142,11 @@
         not updated to reflect this and hence fails.  This could thus
         become obsolete in a future bug fix of wxPython.
-        
+
         Apart from adding a dc variable in the list of arguments in the def
         and in the call to the base class the rest of this method is copied
         as is from sheet.CCellEditor.PaintBackground
-        
-        :param dc: the wxDC object for the paint
-        -------
+
+        **From original GridCellEditor docs:**
+
         Draws the part of the cell not occupied by the edit control.  The
         base class version just fills it with background colour from the
@@ -159,4 +156,5 @@
         to do something out of the ordinary.
 
+        :param dc: the wxDC object for the paint
         """
         # Call base class method.
@@ -165,9 +163,8 @@
 
     def EndEdit(self, row, col, grid, previous):
-        """ 
+        """
         Commit editing the current cell. Returns True if the value has changed.
-        
+
         :param previous: previous value in the cell
-        
         """
         changed = False                             # Assume value not changed
@@ -184,19 +181,17 @@
     """
     Class that receives the results of a batch fit.
-    
+
     GridPage displays the received results in a wx.grid using sheet.  This is
     then used by GridPanel and GridFrame to present the full GUI.
-    
     """
     def __init__(self, parent, panel=None):
         """
         Initialize
-        
+
         Initialize all the attributes of GridPage, and the events. include
         the init stuff from sheet.CSheet as well.
-        
         """
         #sheet.CSheet.__init__(self, parent)
-        
+
         # The following is the __init__ from CSheet. ##########################
         # We re-write it here because the class is broken in wx 3.0,
@@ -243,5 +238,5 @@
         # CSheet init method.  Basically these override any intrinsic binding
         self.Bind(wx.grid.EVT_GRID_LABEL_RIGHT_CLICK, self.on_right_click)
-        self.Bind(wx.grid.EVT_GRID_LABEL_LEFT_CLICK, self.on_left_click)        
+        self.Bind(wx.grid.EVT_GRID_LABEL_LEFT_CLICK, self.on_left_click)
 
         self.AdjustScrollbars()
@@ -283,6 +278,6 @@
         if self.GetNumberCols() > 0:
             self.default_col_width = self.GetColSize(0)
-        # We have moved these to the top of the init section with the 
-        # rest of the grid event bindings from the sheet init when 
+        # We have moved these to the top of the init section with the
+        # rest of the grid event bindings from the sheet init when
         # appropriate
         #self.Bind(wx.grid.EVT_GRID_LABEL_LEFT_CLICK, self.on_left_click)
@@ -295,21 +290,19 @@
         """
         Overrides sheet.CSheet.OnLefClick.
-        
+
         Processes when a cell is selected by left clicking on that cell. First
         process the base Sheet method then the current class specific method
-         
         """
         sheet.CSheet.OnLeftClick(self, event)
         self.on_selected_cell(event)
-        
+
 
     def OnCellChange(self, event):
         """
         Overrides sheet.CSheet.OnCellChange.  
-        
+
         Processes when a cell has been edited by a cell editor. Checks for the
         edited row being outside the max row to use attribute and if so updates
-        the last row.  Then calls the base handler using skip. 
-
+        the last row.  Then calls the base handler using skip.
         """
         row, _ = event.GetRow(), event.GetCol()
@@ -323,7 +316,6 @@
         """
         Handler catching cell selection.
-        
+
         Called after calling base 'on left click' method.
-
         """
 
@@ -398,12 +390,11 @@
         """
         Is triggered when the left mouse button is clicked while the mouse
-        is hovering over the column 'label.' 
-        
+        is hovering over the column 'label.'
+
         This processes the information on the selected column: the column name
         (in row 0 of column) and the range of cells with a valid value to be
         used by the GridPanel set_axis methods.
-        
-        """
-        
+        """
+
         flag = event.CmdDown() or event.ControlDown()
 
@@ -449,8 +440,8 @@
         """
         Is triggered when the right mouse button is clicked while the mouse
-        is hovering over the column 'label.' 
-        
+        is hovering over the column 'label.'
+
         This brings up a context menu that allows the deletion of the column,
-        or the insertion of a new column either to the right or left of the 
+        or the insertion of a new column either to the right or left of the
         current column.  If inserting a new column can insert a blank column or
         choose a number of hidden columns.  By default all the error parameters
@@ -458,7 +449,6 @@
         intrinsic variables stored with the data such as Temperature, pressure,
         time etc can be used to populate this menu.
-        
-        """
-        
+        """
+
         col = event.GetCol()
         row = event.GetRow()
@@ -497,7 +487,6 @@
         method called to populate the 'insert column before current column'
         submenu.
-        
-        """
-        
+        """
+
         if self.data is None:
             return
@@ -521,7 +510,6 @@
         Method called to populate the 'insert column after current column'
         submenu
-        
-        """
-        
+        """
+
         if self.data is None:
             return
@@ -546,7 +534,6 @@
         Called when user chooses remove from the column right click menu
         Checks the columnn exists then calls the remove_column method
-        
-        """
-        
+        """
+
         if self.selected_cols is not None or len(self.selected_cols) > 0:
             col = self.selected_cols[0]
@@ -556,7 +543,6 @@
         """
         Remove the col column from the current grid
-        
-        """
-        
+        """
+
         # add data to the grid    
         row = 0
@@ -581,11 +567,10 @@
         of the column context menu obtained when right clicking on a given
         column header.
-        
+
         Sets up to insert column into the current grid before the current
         highlighted column location and sets up what to populate that column
         with.  Then calls insert_column method to actually do the insertion. 
-        
-        """
-        
+        """
+
         if self.selected_cols is not None or len(self.selected_cols) > 0:
             col = self.selected_cols[0]
@@ -602,12 +587,11 @@
         Called when user chooses insert 'column after' submenu
         of the column context menu obtained when right clicking on a given
-        column header. 
-        
+        column header.
+
         Sets up to insert column into the current grid after the current
         highlighted column location and sets up what to populate that column
         with.  Then calls insert_column method to actually do the insertion. 
-        
-        """
-        
+        """
+
         if self.selected_cols is not None or len(self.selected_cols) > 0:
             col = self.selected_cols[0] + 1
@@ -623,7 +607,6 @@
         Insert column at position col with data[col_name] into the current
         grid.
-        
-        """
-        
+        """
+
         row = 0
         self.InsertCols(pos=col, numCols=1, updateLabels=True)
@@ -648,7 +631,6 @@
         """
         Just calls the panel version of the method
-        
-        """
-        
+        """
+
         self.panel.set_xaxis(x=self.axis_value, label=self.axis_label)
 
@@ -656,6 +638,6 @@
         """
         Just calls the panel version of the method
-        
-        """
+        """
+
         self.panel.set_yaxis(y=self.axis_value, label=self.axis_label)
 
@@ -663,10 +645,9 @@
         """
         Add data to the grid
-        
+
         :param data_inputs: data to use from the context menu of the grid
-        :param data_ouputs: default columns deplayed
-        
-        """
-        
+        :param data_ouputs: default columns displayed
+        """
+
         self.file_name = file_name
         self.details = details
@@ -704,7 +685,6 @@
         """
         Set the values in grids
-        
-        """
-        
+        """
+
         # add data to the grid
         row = 0
@@ -741,7 +721,6 @@
         """
         Return value contained in the grid
-        
-        """
-        
+        """
+
         grid_view = {}
         for col in xrange(self.GetNumberCols()):
@@ -761,5 +740,4 @@
         """
         Return number of total rows
-        
         """
         return self._rows
@@ -768,5 +746,5 @@
         """
         Method to handle cell right click context menu. 
-        
+
         THIS METHOD IS NOT CURRENTLY USED.  It is designed to provide a
         cell pop up context by right clicking on a cell and gives the
@@ -774,7 +752,6 @@
         future versions and is being superceded by more traditional cut and
         paste options.
-        
-        """
-        
+        """
+
         wx_id = wx.NewId()
         c_menu = wx.Menu()
@@ -817,5 +794,4 @@
         future versions and is being superceded by more traditional cut and
         paste options
-
         """
 
@@ -825,10 +801,9 @@
         """
         Called when paste is chosen from cell right click context menu
-        
+
         THIS METHOD IS NOT CURRENTLY USED.  it is part of right click cell
         context menu which is being removed. This will probably be removed in
         future versions and is being superceded by more traditional cut and
         paste options
-
         """
 
@@ -847,5 +822,4 @@
         future versions and is being superceded by more traditional cut and
         paste options
-
         """
 
@@ -857,7 +831,6 @@
     window_name = "Fit panel"
     ## Title to appear on top of the window
-    
     """
-    
+
     window_caption = "Notebook "
 
@@ -898,5 +871,4 @@
         display the close button on the tab if more than 1 tab exits.
         Otherwise remove the close button
-
         """
 
@@ -918,5 +890,4 @@
         Return the select cell range from a given selected column. Checks that
         all cells are from the same column
-
         """
 
@@ -949,5 +920,4 @@
         """
         Add highlight rows
-
         """
 
@@ -980,5 +950,4 @@
         """
         return dictionary of columns labels on the current page
-
         """
 
@@ -996,7 +965,6 @@
         Receive a list of cells and  create a string presenting the selected
         cells that can be used as data for one axis of a plot.
-        
+
         :param cell_list: list of tuple
-
         """
         pos = self.GetSelection()
@@ -1075,5 +1043,4 @@
         """
         close the page
-
         """
 
@@ -1109,5 +1076,4 @@
         Order a list of 'inputs.' Used to sort rows and columns to present
         in batch results grid.
-
         """
 
@@ -1143,5 +1109,4 @@
         """
         Append a new column to the grid
-
         """
 
@@ -1155,5 +1120,4 @@
         """
         Remove the selected column from the grid
-
         """
         # I Believe this is no longer used now that we have removed the 
@@ -1166,6 +1130,5 @@
     """
     A ScrolledPanel class that contains the grid sheet as well as a number of
-    widgets to create interesting plots and buttons for help etc. 
-
+    widgets to create interesting plots and buttons for help etc.
     """
 
@@ -1174,5 +1137,4 @@
         """
         Initialize the GridPanel
-
         """
 
@@ -1264,5 +1226,4 @@
         Get object represented by the given cells and plot them.  Basically
         plot the colum in y vs the column in x.
-
         """
 
@@ -1345,5 +1306,4 @@
         """
         Evaluate the contains of textcrtl and plot result
-
         """
 
@@ -1456,5 +1416,4 @@
 
         :param evt: Triggers on clicking the help button
-
         """
 
@@ -1471,5 +1430,4 @@
         """
         Get sentence from dict
-
         """
 
@@ -1488,5 +1446,4 @@
         Draw the area related to the grid by adding it as the first element
         in the panel's grid_sizer
-
         """
 
@@ -1499,5 +1456,4 @@
         Add the area containing all the plot options, buttons etc to a plotting
         area sizer to later be added to the top level grid_sizer
-
         """
 
@@ -1543,5 +1499,5 @@
                                    (self.plot_button, 0,
                                     wx.LEFT | wx.TOP | wx.BOTTOM, 12),
-                                   (self.help_button,0, 
+                                   (self.help_button,0,
                                     wx.LEFT | wx.TOP | wx.BOTTOM, 12)])
 
@@ -1577,5 +1533,4 @@
         """
         Get the selected column on  the visible grid and set values for axis
-
         """
 
@@ -1601,5 +1556,4 @@
 
         :param cell_list: list of tuple
-
         """
 
@@ -1610,5 +1564,4 @@
         """
         get controls to modify
-
         """
 
@@ -1621,5 +1574,5 @@
         """
         """
-        # I Believe this is no longer used now that we have removed the 
+        # I Believe this is no longer used now that we have removed the
         # edit menu from the menubar - PDB July 12, 2015
         if self.notebook is not None:
@@ -1629,5 +1582,5 @@
         """
         """
-        # I Believe this is no longer used now that we have removed the 
+        # I Believe this is no longer used now that we have removed the
         # edit menu from the menubar - PDB July 12, 2015
         if self.notebook is not None:
@@ -1638,5 +1591,4 @@
     """
     The main wx.Frame for the batch results grid
-
     """
 
@@ -1645,5 +1597,4 @@
         """
         Initialize the Frame
-        
         """
 
@@ -1690,5 +1641,4 @@
         populates the edit menu on the menubar.  Not activated as of SasView
         3.1.0
-
         """
         self.edit = wx.Menu()
@@ -1725,6 +1675,5 @@
     def on_copy(self, event):
         """
-        On Copy from the Edit menu item on the menubar  
-
+        On Copy from the Edit menu item on the menubar
         """
         # I Believe this is no longer used now that we have removed the 
@@ -1739,5 +1688,4 @@
         """
         On Paste from the Edit menu item on the menubar
-
         """
         # I Believe this is no longer used now that we have removed the 
@@ -1752,5 +1700,4 @@
         """
         On Clear from the Edit menu item on the menubar
-
         """
         # I Believe this is no longer used now that we have removed the 
@@ -1763,5 +1710,4 @@
         """
         Get Label Text
-
         """
         for item in self.insert_before_menu.GetMenuItems():
@@ -1773,5 +1719,4 @@
         """
         On remove column from the Edit menu Item on the menubar
-
         """
         # I Believe this is no longer used now that we have removed the 
@@ -1784,5 +1729,4 @@
         """
         On menu open
-
         """
         if self.file == event.GetMenu():
@@ -1846,8 +1790,7 @@
         """
         Saves data in grid to a csv file.
-        
+
         At this time only the columns displayed get saved.  Thus any error
         bars not inserted before saving will not be saved in the file
-
         """
 
@@ -1883,5 +1826,4 @@
         """
         Open file containing batch result
-
         """
 
@@ -1892,5 +1834,4 @@
         """
         open excel and display batch result in Excel
-
         """
 
@@ -1919,5 +1860,4 @@
         """
         Append a new column to the grid
-
         """
         self.panel.add_column()
@@ -1926,5 +1866,4 @@
         """
         Set data
-
         """
         self.panel.notebook.set_data(data_inputs=data_inputs,
@@ -1936,5 +1875,4 @@
         """
         Add a new table
-
         """
         # DO not event.Skip(): it will make 2 pages
@@ -1944,5 +1882,4 @@
     """
     Allow to select where the result of batch will be displayed or stored
-
     """
     def __init__(self, parent, data_inputs, data_outputs, file_name="",
@@ -1952,7 +1889,6 @@
 
         :param parent: Window instantiating this dialog
-        :param result: result to display in a grid or export to an external
+        :param result: result to display in a grid or export to an external\
                 application.
-
         """
 
@@ -1978,5 +1914,4 @@
         """
         Draw the content of the current dialog window
-
         """
 
@@ -2033,5 +1968,4 @@
         """
         Get the user selection and display output to the selected application
-
         """
 
@@ -2046,5 +1980,4 @@
         """
         close the Window
-
         """
 
@@ -2055,5 +1988,4 @@
         Receive event and display data into third party application
         or save data to file.
-
         """
         if self.save_to_file.GetValue():
